Package org.kapott.hbci.smartcardio

# Class RSABankData

java.lang.Object
org.kapott.hbci.smartcardio.RSABankData

public class RSABankData extends Object

Author:
  axel

## Constructor Summary

Constructors
Constructor
Description
`RSABankData()`
`RSABankData(int index, byte[] record, byte[] customerIdData)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getBankCode()`
`String`
`getBankId()`
`String`
`getComAddress()`
`int`
`getComService()`
`String`
`getComSuffix()`
`String`
`getCountry()`
`String`
`getCustomerId()`
`int`
`getIndex()`
`String`
`getSystemId()`
`String`
`getUserId()`
`void`
`setBankCode(String bankCode)`
`void`
`setBankId(String bankId)`
`void`
`setComAddress(String comAddress)`
`void`
`setComService(int comService)`
`void`
`setComSuffix(String comSuffix)`
`void`
`setCountry(String country)`
`void`
`setCustomerId(String customerId)`
`void`
`setIndex(int index)`
`void`
`setSystemId(String systemId)`
`void`
`setUserId(String userId)`
`byte[]`
`toCustomerIdData()`
`byte[]`
`toRecord()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RSABankData

public RSABankData()

### RSABankData

public RSABankData(int index, byte[] record, byte[] customerIdData)

## Method Details

### toRecord

public byte[] toRecord()

### toCustomerIdData

public byte[] toCustomerIdData()

### getIndex

public int getIndex()

### setIndex

public void setIndex(int index)

### getCountry

public String getCountry()

### setCountry

public void setCountry(String country)

### getBankCode

public String getBankCode()

### setBankCode

public void setBankCode(String bankCode)

### getUserId

public String getUserId()

### setUserId

public void setUserId(String userId)

### getComService

public int getComService()

### setComService

public void setComService(int comService)

### getComAddress

public String getComAddress()

### setComAddress

public void setComAddress(String comAddress)

### getComSuffix

public String getComSuffix()

### setComSuffix

public void setComSuffix(String comSuffix)

### getBankId

public String getBankId()

### setBankId

public void setBankId(String bankId)

### getSystemId

public String getSystemId()

### setSystemId

public void setSystemId(String systemId)

### getCustomerId

public String getCustomerId()

### setCustomerId

public void setCustomerId(String customerId)

### toString

public String toString()

Overrides:
  `toString` in class `Object`